Subject: Bug#1063: CreateDB fails with error `DBI connect('dbname=/var/lib/x2go/x2go_sessions', '', ...) failed`

From: Mihai Moldovan <[email-masked]>
Date: Sat, 27 Aug 2016 18:33:11 +0200

On 27.08.2016 12:38 PM, Sivachidambaram Somu wrote:
> About the SUID, I have not disabled it myself. Let me check the OS defaults
> again and give an update on that.

Looks like I haven't been explicit enough, sorry.

What's the output of "mount"?

> Also, I'm able to open them file 'x2golistsessions' in Vim as root. As you have
> pointed out, the operation fails as a normal user.

Wait... do you *really* mean x2golistsessions, or rather the database file
called x2go_sessions?

The script itself (x2golistsessions) should always be read- and executable by
any user.

I've also been looking around if disabling SUID support directly in the kernel
is possible, but haven't found anything related to this. Looks like the only way
to achieve that is via a mount flag. If that's not the case, I'm running dry here.

Mihai